# opentl::modalities::Likelihood Class Reference

class for likelihood evaluations More...

Inherits opentl::core::util::ParameterContainer.

List of all members.

## Classes
struct | T_LIK_MODALITY_FEATURE
| Internal structure for storing the child modality information on feature level. More...
struct | T_LIK_MODALITY_OBJECT
| Internal structure for storing the child modality information on object level. More...
struct | T_LIK_MODALITY_PIXEL
| Internal structure for storing the child modality information on pixel level. More...
## Public Types
## Public Member Functions
void | addChild (Modality *childFeature, core::cvdata::T_LEVEL childOutputLevel)
| Adds a child Feature class as input ATTENTION: In order to avoid code duplication related to data fusion, the Likelihood supports a single child ONLY! If data fusion of multiple Feature instances is required, add a DataFusion instance as child.
Likelihood * | clone () const
| Clone this Likelihood instance.
int | explicitModel (const TargetPtrVector &targets, T_MEAS_LIKPtrVector &outputMeas, int measComputeFlags, std::size_t partitionIdx)
| Computes explicit likelihood <E,R,(H)>.
T_LIK_MODALITY_FEATURE * | getChildModalityFeature (std::size_t m)
T_LIK_MODALITY_OBJECT * | getChildModalityObject (std::size_t m)
T_LIK_MODALITY_PIXEL * | getChildModalityPixel (std::size_t m)
int | getNofChildren () const
| Return overall number of children modalities.
int | getNofFeatureLevelChildren () const
| Return number of feature-level children modalities.
int | getNofObjectLevelChildren () const
| Return number of object-level children modalities.
int | getNofPixelLevelChildren () const
| Return number of pixel-level children modalities.
int | implicitModel (const TargetPtrVector &targets, std::size_t partitionIdx)
| Computes implicit likelihood P(z|s).
void | init ()
| initialize
| Likelihood (const Likelihood &lik)
| Likelihood ()
| constructor
void | resetModalityIter ()
| Reset (recursively) iteration numbers in all children modalities.
int | sampleModelFeatures (const TargetPtrVector &targets)
| Sample model features for all children.
void | setComputeZParam ()
| Set (recursively) the compute_z parameter in all children modalities.
int | updateModelFeatures (const TargetPtrVector &targets)
| Update online features for all children.
| ~Likelihood ()
| destructor

## Detailed Description

class for likelihood evaluations

## Member Enumeration Documentation

enum opentl::modalities::Likelihood::OfflineParameters

Class parameters (none at the moment).

Enumerator:

  OFFLINE_COUNT |

enum opentl::modalities::Likelihood::OnlineParameters

Enumerator:

  ONLINE_COUNT |

## Constructor & Destructor Documentation

opentl::modalities::Likelihood::Likelihood | ( |  | ) |

constructor

opentl::modalities::Likelihood::Likelihood | ( | const Likelihood & | lik | ) |

opentl::modalities::Likelihood::~Likelihood | ( |  | ) |

destructor

## Member Function Documentation

void opentl::modalities::Likelihood::addChild | ( | Modality * | childFeature,
|  | core::cvdata::T_LEVEL | childOutputLevel |
| ) |  |  |

Adds a child Feature class as input ATTENTION: In order to avoid code duplication related to data fusion, the Likelihood supports a single child ONLY! If data fusion of multiple Feature instances is required, add a DataFusion instance as child.

Parameters:

  | childFeature | pointer to a modality instance
  | childOutputLevel | output level of the modality used for computing the likelihood

Likelihood* opentl::modalities::Likelihood::clone | ( |  | ) | const

Clone this Likelihood instance.

int opentl::modalities::Likelihood::explicitModel | ( | const TargetPtrVector & | targets,
|  | T_MEAS_LIKPtrVector & | outputMeas,
|  | int | measComputeFlags,
|  | std::size_t | partitionIdx |
| ) |  |  |

Computes explicit likelihood <E,R,(H)>.

Parameters:

  | states |
  | outputMeas | Measurement structure given by tracker (one set of fused measurements per target).

T_LIK_MODALITY_FEATURE* opentl::modalities::Likelihood::getChildModalityFeature | ( | std::size_t | m | ) |

T_LIK_MODALITY_OBJECT* opentl::modalities::Likelihood::getChildModalityObject | ( | std::size_t | m | ) |

T_LIK_MODALITY_PIXEL* opentl::modalities::Likelihood::getChildModalityPixel | ( | std::size_t | m | ) |

int opentl::modalities::Likelihood::getNofChildren | ( |  | ) | const`[inline]`

Return overall number of children modalities.

int opentl::modalities::Likelihood::getNofFeatureLevelChildren | ( |  | ) | const`[inline]`

Return number of feature-level children modalities.

int opentl::modalities::Likelihood::getNofObjectLevelChildren | ( |  | ) | const`[inline]`

Return number of object-level children modalities.

int opentl::modalities::Likelihood::getNofPixelLevelChildren | ( |  | ) | const`[inline]`

Return number of pixel-level children modalities.

int opentl::modalities::Likelihood::implicitModel | ( | const TargetPtrVector & | targets,
|  | std::size_t | partitionIdx |
| ) |  |  |

Computes implicit likelihood P(z|s).

Parameters:

  | states |
  | likelihoods |

void opentl::modalities::Likelihood::init | ( |  | ) | `[inline, virtual]`

initialize

Implements opentl::core::util::ParameterContainer.

void opentl::modalities::Likelihood::resetModalityIter | ( |  | ) |

Reset (recursively) iteration numbers in all children modalities.

int opentl::modalities::Likelihood::sampleModelFeatures | ( | const TargetPtrVector & | targets | ) |

Sample model features for all children.

void opentl::modalities::Likelihood::setComputeZParam | ( |  | ) |

Set (recursively) the compute_z parameter in all children modalities.

int opentl::modalities::Likelihood::updateModelFeatures | ( | const TargetPtrVector & | targets | ) |

Update online features for all children.